Name:           scirenderer
Version:        1.0.2
Release:        2%{?dist}
Summary:        A Java rendering library based on JoGL

License:        CeCILL
URL:            http://forge.scilab.org/index.php/p/scirenderer
Source0:        http://forge.scilab.org/index.php/p/scirenderer/downloads/get/%{name}-%{version}.tar.gz

BuildRequires:  java-devel
BuildRequires:  jpackage-utils

BuildRequires:  ant
BuildRequires:  jogl2
BuildRequires:  jlatexmath

Requires:       java
Requires:       jpackage-utils
Requires:       jogl2
Requires:       jlatexmath

# koji build issue on f18 only
#BuildArch:      noarch   

%description
This Java API allows 2-D or 3-D plotting from simple 2-D graph to complex
scenes.
Independent library and used within Scilab software but is
available for other application and developments.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# Update path according to the Fedora Guidelines
tee >scirenderer-libs.properties << EOF
jogl2.jar = %{_libdir}/jogl2/jogl2.jar
gluegen2-rt.jar = %{_libdir}/gluegen2/gluegen2-rt.jar
jlatexmath.jar = %{_javadir}/jlatexmath.jar
jni.path = %{_libdir}/java:%{_libdir}/jogl2:%{_libdir}/gluegen2
EOF

# fix file-not-utf8
iconv -f ISO_8859-15 -t UTF-8 -o COPYING.utf8 COPYING
mv COPYING.utf8 COPYING

# fix class-path-in-manifest
sed -i '/Class-Path/I d' build.xml

%build
ant jar doc

%install
mkdir -p %{buildroot}%{_javadir}
cp -pr jar/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc README
%doc COPYING
%doc CHANGES

%files javadoc
%{_javadocdir}/%{name}
%doc README
%doc COPYING
%doc CHANGES

%changelog
* Fri Nov 16 2012 Clément David <c.david86@gmail.com> - 1.0.2-2
- Use tee instead of cat to print out the jar path
- remove noarch to pass the build (f18 only)
- rebuilt

* Tue Oct 02 2012 Clément David <c.david86@gmail.com> - 1.0.2-1
- Update version

* Tue Sep 18 2012 Clément David <c.david86@gmail.com> - 0.5.8-1
- Update version to support jogl2
- Fix the Javadoc package

* Thu Apr 12 2012 Clément David <c.david86@gmail.com> - 0.3.5-2
- Fix the Javadoc package

* Wed Apr 11 2012 Clément David <c.david86@gmail.com> - 0.3.5-1
- Initial package

